/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvc1_id2string.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description:

This file contains the id2string implementation for package OCTVC1

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Revision:  $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/


#ifndef __OCTVC1_ID2STRING__
#define __OCTVC1_ID2STRING__

#include "../octdev_types.h"
/* -------------------------------------------------------------------------------------
	OCTVC1_ID2STRING
   -------------------------------------------------------------------------------------*/
#define mOCTVC1_ID2STRING( _f_ulId ) \
	octvc1_id2string( _f_ulId )

#ifndef OCTVC1_ID2STRING_DECLARE
extern const char * octvc1_id2string( tOCT_UINT32 f_ulId );
#endif 


#ifdef OCTVC1_ID2STRING_DECLARE
#include <stdio.h>
#include "main/octvc1_main_id.h"
#include "gsm/octvc1_gsm_id.h"


/* -------------------------------------------------------------------------------------
	octvc1_id2string
   -------------------------------------------------------------------------------------*/
const char * octvc1_id2string( tOCT_UINT32 f_ulId )
{
	static char g_szUnknownoctvc1_id2string[32];
	switch( f_ulId )
	{
		/* OCTVC1_MAIN */
		case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID:
			return "cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID";
		case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID:
			return "cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID";
		case cOCTVC1_MAIN_MSG_DEVICE_RESET_CID:
			return "cOCTVC1_MAIN_MSG_DEVICE_RESET_CID";
		case cOCTVC1_MAIN_MSG_DEVICE_INFO_CID:
			return "cOCTVC1_MAIN_MSG_DEVICE_INFO_CID";
		case cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID:
			return "cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID";
		case cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID:
			return "cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID";
		case cOCTVC1_MAIN_MSG_FILE_OPEN_CID:
			return "cOCTVC1_MAIN_MSG_FILE_OPEN_CID";
		case cOCTVC1_MAIN_MSG_FILE_CLOSE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_CLOSE_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID";
		case cOCTVC1_MAIN_MSG_FILE_WRITE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_WRITE_CID";
		case cOCTVC1_MAIN_MSG_FILE_READ_CID:
			return "cOCTVC1_MAIN_MSG_FILE_READ_CID";
		case cOCTVC1_MAIN_MSG_FILE_INFO_CID:
			return "cOCTVC1_MAIN_MSG_FILE_INFO_CID";
		case cOCTVC1_MAIN_MSG_FILE_LIST_CID:
			return "cOCTVC1_MAIN_MSG_FILE_LIST_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID";
		case cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID:
			return "cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID";
		case cOCTVC1_MAIN_MSG_LOG_ERASE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_ERASE_CID";
		case cOCTVC1_MAIN_MSG_LICENSING_INFO_CID:
			return "cOCTVC1_MAIN_MSG_LICENSING_INFO_CID";
		case cOCTVC1_MAIN_MSG_OCT1010_RESET_CID:
			return "cOCTVC1_MAIN_MSG_OCT1010_RESET_CID";
		case cOCTVC1_MAIN_MSG_OCT1010_INFO_CID:
			return "cOCTVC1_MAIN_MSG_OCT1010_INFO_CID";
		case cOCTVC1_MAIN_MSG_ETH_STATS_CID:
			return "cOCTVC1_MAIN_MSG_ETH_STATS_CID";
		case cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID:
			return "cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID";
		case cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID:
			return "cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID";
		case cOCTVC1_MAIN_MSG_REGISTER_READ_CID:
			return "cOCTVC1_MAIN_MSG_REGISTER_READ_CID";
		case cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID:
			return "cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID";
		case cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID:
			return "cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID";
		case cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID:
			return "cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID";
		case cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID:
			return "cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID";
		case cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID:
			return "cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID";
		case cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID:
			return "cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID";
		case cOCTVC1_MAIN_MSG_SPI_ACCESS_CID:
			return "cOCTVC1_MAIN_MSG_SPI_ACCESS_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_LIST_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_LIST_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_INFO_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_INFO_CID";
		case cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID:
			return "cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID";
		case cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID:
			return "cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID";
		case cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID";
		case cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID:
			return "cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID";
		case cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID:
			return "cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_INFO_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_INFO_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_LIST_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_LIST_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID";
		case cOCTVC1_MAIN_MSG_BUFFER_READ_CID:
			return "cOCTVC1_MAIN_MSG_BUFFER_READ_CID";
		case cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID";
		case cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID";
		case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID:
			return "cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID";
		case cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID";
		case cOCTVC1_MAIN_MSG_OCT1010_STATS_CID:
			return "cOCTVC1_MAIN_MSG_OCT1010_STATS_CID";
		case cOCTVC1_MAIN_MSG_OCT2200_STATS_CID:
			return "cOCTVC1_MAIN_MSG_OCT2200_STATS_CID";
		case cOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EID:
			return "cOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EID";
		case cOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EID:
			return "cOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EID";
		case cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID:
			return "cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID";
		case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EID:
			return "cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EID";
		case cOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EID:
			return "cOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EID";
		case cOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EID:
			return "cOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EID";
		case cOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EID:
			return "cOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EID";
		/* OCTVC1_GSM */
		case cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CID:
			return "cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CID";
		case cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CID:
			return "cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CID";
		case cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CID:
			return "cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CID";
		case cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CID:
			return "cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CID";
		case cOCTVC1_GSM_MSG_TRX_STATUS_CID:
			return "cOCTVC1_GSM_MSG_TRX_STATUS_CID";
		case cOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CID:
			return "cOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CID";
		case cOCTVC1_GSM_MSG_TRX_RESET_CID:
			return "cOCTVC1_GSM_MSG_TRX_RESET_CID";
		case cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CID:
			return "cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CID";
		case cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CID:
			return "cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CID";
		case cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CID:
			return "cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CID";
		case cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CID:
			return "cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CID";
		case cOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CID:
			return "cOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CID";
		case cOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CID:
			return "cOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CID";
		case cOCTVC1_GSM_MSG_TEST_START_ETSI_CID:
			return "cOCTVC1_GSM_MSG_TEST_START_ETSI_CID";
		case cOCTVC1_GSM_MSG_TEST_START_FCC_CID:
			return "cOCTVC1_GSM_MSG_TEST_START_FCC_CID";
		case cOCTVC1_GSM_MSG_TEST_END_ETSI_CID:
			return "cOCTVC1_GSM_MSG_TEST_END_ETSI_CID";
		case cOCTVC1_GSM_MSG_TEST_END_FCC_CID:
			return "cOCTVC1_GSM_MSG_TEST_END_FCC_CID";
		case cOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CID:
			return "cOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CID";
		case cOCTVC1_GSM_MSG_MODULE_INFO_EVT_CID:
			return "cOCTVC1_GSM_MSG_MODULE_INFO_EVT_CID";
		case cOCTVC1_GSM_MSG_MODULE_INFO_CID:
			return "cOCTVC1_GSM_MSG_MODULE_INFO_CID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CID";
		case cOCTVC1_GSM_MSG_TRX_CONFIGURE_CID:
			return "cOCTVC1_GSM_MSG_TRX_CONFIGURE_CID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CID";
		case cOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EID";
		case cOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EID";
		case cOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EID";
		case cOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EID";
		case cOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EID:
			return "cOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EID";
		case cOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EID:
			return "cOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EID";
		case cOCTVC1_GSM_MSG_MODULE_ERROR_EID:
			return "cOCTVC1_GSM_MSG_MODULE_ERROR_EID";
		case cOCTVC1_GSM_MSG_MODULE_MESSAGE_EID:
			return "cOCTVC1_GSM_MSG_MODULE_MESSAGE_EID";
		case cOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EID:
			return "cOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EID";
		case cOCTVC1_GSM_MSG_MODULE_TRACING_EID:
			return "cOCTVC1_GSM_MSG_MODULE_TRACING_EID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EID";
		case cOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EID:
			return "cOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EID";

	}
	sprintf( g_szUnknownoctvc1_id2string, "0x%.8X", f_ulId ); 
	return g_szUnknownoctvc1_id2string;
}
#endif 

#endif /* __OCTVC1_ID2STRING__ */
